org.bson.codecs.configuration.CodecConfigurationException

Can't find a codec for class java.util.Arrays$ArrayList.

Samebug tips2

Current Spark-Mongodb does not support 3.x mongo drivers. Use long instead of Date until it is upgraded.

Current Spark-Mongodb does not support 3.x mongo drivers. Use long instead of Date until it is upgraded.

Don't give up yet. Our experts can help. Paste your full stack trace to get a solution.

Solutions on the web49

  • Can't find a codec for class java.util.Arrays$ArrayList.
  • Can't find a codec for class java.util.Arrays$ArrayList.
  • Can't find a codec for class com.mongodb.DBRef.
  • Stack trace

    • org.bson.codecs.configuration.CodecConfigurationException: Can't find a codec for class java.util.Arrays$ArrayList. at org.bson.codecs.configuration.CodecCache.getOrThrow(CodecCache.java:46)[mongo-java-driver-3.1.0.jar:na] at org.bson.codecs.configuration.ProvidersCodecRegistry.get(ProvidersCodecRegistry.java:63)[mongo-java-driver-3.1.0.jar:na] at org.bson.codecs.configuration.ProvidersCodecRegistry.get(ProvidersCodecRegistry.java:37)[mongo-java-driver-3.1.0.jar:na] at $CodecRegistry_2952b5e77739.get(Unknown Source)[na:na] at com.mongodb.client.model.BuildersHelper.encodeValue(BuildersHelper.java:35)[mongo-java-driver-3.1.0.jar:na] at com.mongodb.client.model.Updates$SimpleUpdate.toBsonDocument(Updates.java:442)[mongo-java-driver-3.1.0.jar:na] at com.mongodb.MongoCollectionImpl.toBsonDocument(MongoCollectionImpl.java:516)[mongo-java-driver-3.1.0.jar:na] at com.mongodb.MongoCollectionImpl.findOneAndUpdate(MongoCollectionImpl.java:380)[mongo-java-driver-3.1.0.jar:na]

    Write tip

    You have a different solution? A short tip here would help you and many other users who saw this issue last week.

    Users with the same issue

    Once, 1 year ago
    Unknown user
    Once, 1 year ago
    6 times, 3 months ago
    2 times, 5 months ago
    Once, 5 months ago
    31 more bugmates